tolerations:
  - operator: Exists
    effect: NoExecute
  - operator: Exists
    effect: NoSchedule
  - key: CriticalAddonsOnly
    operator: Exists
  # - key: CriticalAddonsOnly
  #   operator: Exists
  #   effect: NoSchedule
  # - key: node-role.kubernetes.io/master
  #   operator: Exists
  #   effect: NoSchedule
  # - key: node-role.kubernetes.io/control-plane
  #   operator: Exists
  #   effect: NoSchedule
serviceMonitor:
  enabled: true
extraVolumes:
  - name: journal
    hostPath:
      path: /var/log/journal
extraVolumeMounts:
  - name: journal
    mountPath: /var/log/journal
    readOnly: true
config:
  lokiAddress: http://loki-headless.loki.svc.cluster.local:3100/loki/api/v1/push
  snippets:
    pipelineStages:
      #- cri: {}
      - match:
          selector: '{name="eventrouter"}'
          stages:
          - json:
              expressions:
                namespace: event.metadata.namespace
          - labels:
              namespace: ""
      # PII Replacer
      # - replace:
      #   expression: (?P<Company>([A-Z&][\w,]* )+(I[Nn][Cc](orporated)?|C[Oo](rp(oration)?)?|LLP|llc|LLC|plc|gmbh)\.?(\b|$))
      #   replace: COMPANY_NAME
      # - replace:
      #   expression: (?P<Email>([a-z0-9_\-.+]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-z0-9-]+\.?)+))([a-z]{2,4}|[0-9]{1,3})(]?))
      #   replace: EMAIL_ADDRESS
{% if 'k3s' in cloudstack.stack.plugins %}
    extraScrapeConfigs: |
      - job_name: journal
        journal:
          path: /var/log/journal
          max_age: 12h
          labels:
            job: systemd-journal
        relabel_configs:
          - source_labels: ['__journal__systemd_unit']
            target_label: 'unit'
          - source_labels: ['__journal__hostname']
            target_label: 'hostname'
{% endif %}

resources:
 limits:
   cpu: 200m
   memory: 128Mi
 requests:
   cpu: 100m
   memory: 128Mi